package cn.hmsoft.jdbc.exception;

import cn.hmsoft.exception.AppException;

/*************************
 * 数据库操作错误
 * @author zxq
 * @create 2019-05-05 09:02:27
 * @version 2.0.0
 * @email: revisit@126.com
 * @Company: www.hmsoft.cn
 */
public class JdbcException extends AppException {
	private static final long serialVersionUID = 9095732931636949524L;
	private static final int err_code = 10100;

	public JdbcException(String sql) {
		super(err_code, sql);
	}

	public JdbcException(int err_code, String sql) {
		super(err_code, sql);
	}

	public JdbcException(int err_code, String sql, Throwable cause) {
		super(err_code, sql, cause);
	}

	public JdbcException(Throwable cause) {
		super(err_code, cause.getMessage(), cause);
	}
}
